/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "../../../../../../styles/openk.styles";

:host {
  padding: 1em;
  display: block;
  height: 100%;
  box-sizing: border-box;
}

.process-info {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.process-info--workflow {
  height: 26em;
  padding-bottom: 1em;
  display: flex;
  flex-direction: column;
  flex: 1;
}

.process-info--workflow--information {
  display: flex;
  flex-direction: row;
  margin-bottom: 0.8em;
}

.process-info--workflow--information--title {
  display: flex;
  flex-direction: column;
  margin-right: 1em;
}

.process-info--workflow--information--content {
  display: flex;
  flex-direction: column;
}

.process-info--workflow--diagram {
  flex: 1;
}

.process-info--history {
  display: flex;
  padding-bottom: 1em;
}

@media screen and (min-width: 992px) {

  .process-info {
    display: flex;
    flex-direction: row;
  }

  .process-info--workflow {
    height: auto;
    margin-bottom: 0;
    margin-right: 1em;
  }

  .process-info--history {
    min-width: 25em;
    width: 25em;
  }

}
